tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Larry Isaacs <Larry.Isa...@sas.com>
Subject RE: How to access Tomcat 3.3 and 4.0 via CVS ?
Date Fri, 22 Sep 2000 15:11:32 GMT
Should you wish to build tomcat_32, you should use

cvs -d ....  checkout -r ANT_11 jakarta-ant

to get Ant 1.1.  The tomcat_32 build.xml won't work with
the latest Ant due to a couple differences in Ant.

I also use Ant 1.1 to build Tomcat 3.3.  I don't recall
if there were build problems with Tomcat 3.3 using the
latest Ant.  However, the current Watchdog doesn't work
with the latest Ant (or at least didn't work the last
time I checked), but works with Ant 1.1.

I'm not sure if there an agreed upon policy about
which Ant (latest, latest released, etc.) should be
used for current build scripts in the other projects,
such as Tomcat and Watchdog.  Is there such a
policy?

Larry

> -----Original Message-----
> From: Costin Manolache [mailto:costin@eng.sun.com]
> Sent: Saturday, September 23, 2000 10:25 AM
> To: tomcat-dev@jakarta.apache.org
> Subject: Re: How to access Tomcat 3.3 and 4.0 via CVS ?
> 
> 
> > cvs -d :pserver:anoncvs@jakarta.apache.org:/home/cvspublic login
> > password: anoncvs
> >
> > cvs -d :pserver:anoncvs@jakarta.apache.org:/home/cvspublic checkout
> > jakarta-ant jakarta-servletapi jakarta-tomcat
> 
> That will give you tomcat3.3 ( or the latest developments of 
> tomcat 3 )
> To get tomcat 3.2 you need to:
> 
> cvs -d ....  checkout -r tomcat_32 jakarta-tomcat
> ( use the web based interface to find all the release TAGS, 
> at the bottom
> of the page in the selection box)
> 
> To get 4.0 you'll need to use jakarta-tomcat-4.0
> 
> 
> Costin
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org
> 

Mime
View raw message